Bug 163371 - IASDeploymentException when deploying web service in maven web project
IASDeploymentException when deploying web service in maven web project
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Milan Kuchtiak
issues@webservices
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 11:56 UTC by Jaroslav Pospisil
Modified: 2009-05-06 12:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Pospisil 2009-04-22 11:56:17 UTC
Beta 200904200001,Win Vista,JDK1.6.0_13

Start with new userdir and create Maven Web Application.Create new Web Service,add defaulr operation and Run project.
Select Glassfish v2,when prompted for deployment server. There's IAE in Glassfish v2 log and project is not deployed.
 Glassfish log:
*****************************************
Application server startup complete.
wsdl file WEB-INF/wsdl/wscoor.wsdl does not exist for web service Coordinator
Exception occured in J2EEC Phasejava.lang.RuntimeException: wsdl file WEB-INF/wsdl/wscoor.wsdl does not exist for web
service Coordinator
com.sun.enterprise.deployment.backend.IASDeploymentException: Error loading deployment descriptors for module
[mavenproject5] -- wsdl file WEB-INF/wsdl/wscoor.wsdl does not exist for web service Coordinator
        at com.sun.enterprise.deployment.backend.Deployer.loadDescriptors(Deployer.java:406)
        at com.sun.enterprise.deployment.backend.ModuleDeployer.loadDescriptors(ModuleDeployer.java:426)
        at com.sun.enterprise.deployment.backend.WebModuleDeployer.deploy(WebModuleDeployer.java:160)
        at com.sun.enterprise.deployment.backend.ModuleDeployer.doRequestFinish(ModuleDeployer.java:182)
        at com.sun.enterprise.deployment.phasing.J2EECPhase.runPhase(J2EECPhase.java:208)
        at com.sun.enterprise.deployment.phasing.DeploymentPhase.executePhase(DeploymentPhase.java:108)
        at com.sun.enterprise.deployment.phasing.PEDeploymentService.executePhases(PEDeploymentService.java:966)
        at com.sun.enterprise.deployment.phasing.PEDeploymentService.deploy(PEDeploymentService.java:283)
        at com.sun.enterprise.deployment.phasing.PEDeploymentService.deploy(PEDeploymentService.java:835)
        at com.sun.enterprise.management.deploy.DeployThread.deploy(DeployThread.java:187)
        at com.sun.enterprise.management.deploy.DeployThread.run(DeployThread.java:225)
Caused by: java.lang.RuntimeException: wsdl file WEB-INF/wsdl/wscoor.wsdl does not exist for web service Coordinator
        at com.sun.enterprise.deployment.util.ModuleContentValidator.accept(ModuleContentValidator.java:187)
        at com.sun.enterprise.deployment.WebBundleDescriptor.visit(WebBundleDescriptor.java:1410)
        at com.sun.enterprise.deployment.archivist.WebArchivist.postOpen(WebArchivist.java:171)
        at com.sun.enterprise.deployment.archivist.Archivist.open(Archivist.java:215)
        at com.sun.enterprise.deployment.archivist.ApplicationArchivist.openArchive(ApplicationArchivist.java:813)
        at com.sun.enterprise.deployment.archivist.ApplicationArchivist.openArchive(ApplicationArchivist.java:794)
        at com.sun.enterprise.deployment.backend.Deployer.loadDescriptors(Deployer.java:365)
        ... 10 more

IDE Log:
****************************************

Warning: use of system property netbeans.home in org.netbeans.modules.project.libraries.LibrariesStorage has been
obsoleted in favor of InstalledFileLocator
INFO [org.netbeans.modules.websvc.core.WSStackUtils]: Failed to find J2eePlatform
org.netbeans.modules.j2ee.deployment.devmodules.api.InstanceRemovedException: DEV-NULL
        at
org.netbeans.modules.j2ee.deployment.devmodules.api.ServerInstance.getInstanceFromRegistry(ServerInstance.java:207)
        at org.netbeans.modules.j2ee.deployment.devmodules.api.ServerInstance.getJ2eePlatform(ServerInstance.java:139)
[catch] at org.netbeans.modules.websvc.core.WSStackUtils.getJ2eePlatform(WSStackUtils.java:88)
        at org.netbeans.modules.websvc.core.WSStackUtils.<init>(WSStackUtils.java:79)
        at org.netbeans.modules.websvc.core.dev.wizard.WebServiceTypePanel.<init>(WebServiceTypePanel.java:99)
        at org.netbeans.modules.websvc.core.dev.wizard.WebServiceType.getComponent(WebServiceType.java:75)
        at org.netbeans.modules.java.project.JavaTargetChooserPanel.getComponent(JavaTargetChooserPanel.java:97)
        at
org.netbeans.modules.websvc.core.dev.wizard.FinishableProxyWizardPanel.getComponent(FinishableProxyWizardPanel.java:87)
        at
org.netbeans.modules.websvc.core.dev.wizard.NewWebServiceWizardIterator.initialize(NewWebServiceWizardIterator.java:122)
        at org.openide.loaders.TemplateWizardIterImpl.setIterator(TemplateWizardIterImpl.java:100)
        at org.openide.loaders.TemplateWizardIteratorWrapper.setIterator(TemplateWizardIteratorWrapper.java:76)
        at org.openide.loaders.TemplateWizard.setTemplateImpl(TemplateWizard.java:193)
        at org.openide.loaders.TemplateWizard.setTemplate(TemplateWizard.java:211)
        at org.openide.loaders.TemplateWizard.instantiateImpl(TemplateWizard.java:458)
        at org.openide.loaders.TemplateWizard.instantiate(TemplateWizard.java:374)
        at org.netbeans.modules.project.ui.actions.NewFile.doPerform(NewFile.java:154)
        at org.netbeans.modules.project.ui.actions.NewFile.access$200(NewFile.java:80)
        at org.netbeans.modules.project.ui.actions.NewFile$PopupListener.actionPerformed(NewFile.java:349)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
        at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
        at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1225)
        at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1266)
        at java.awt.Component.processMouseEvent(Component.java:6216)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3265)
        at java.awt.Component.processEvent(Component.java:5981)
        at java.awt.Container.processEvent(Container.java:2041)
        at java.awt.Component.dispatchEventImpl(Component.java:4583)
        at java.awt.Container.dispatchEventImpl(Container.java:2099)
        at java.awt.Component.dispatchEvent(Component.java:4413)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4556)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4220)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4150)
        at java.awt.Container.dispatchEventImpl(Container.java:2085)
        at java.awt.Window.dispatchEventImpl(Window.java:2475)
        at java.awt.Component.dispatchEvent(Component.java:4413)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
        at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
INFO [org.netbeans.modules.j2ee.deployment.impl.ServerInstance]: DebuggerInfo cannot be found for: GlassFish v2.1
INFO [org.netbeans.lib.profiler.infolog]: >>> Profiler agent [port=0, id=-111]: STATE_INACTIVE
INFO [org.netbeans.modules.j2ee.deployment.impl.ServerInstance]: DebuggerInfo cannot be found for: GlassFish v2.1
INFO [org.netbeans.modules.j2ee.deployment.impl.TargetServer]: Cannot incrementally deploy to more than one target
INFO [org.netbeans.modules.j2ee.deployment.impl.ServerInstance]: DebuggerInfo cannot be found for: GlassFish v2.1
INFO [org.netbeans.modules.j2ee.deployment.impl.ServerInstance]: DebuggerInfo cannot be found for: Apache Tomcat 6.0.18
WARNING [org.netbeans.modules.parsing.impl.TaskProcessor]: ParserManager.parse called in AWT event thread by:
org.netbeans.api.java.source.JavaSource.runUserActionTaskImpl(JavaSource.java:405)
Comment 1 Jaroslav Pospisil 2009-04-22 12:00:58 UTC
Notice: Problem is reproducible only with Maven web application - Ant web application works fine.
Comment 2 Jaroslav Pospisil 2009-04-22 12:06:30 UTC
Notice: Problem is related with "temporary selected server" case. If I select server in Properties/Run before deploying
the project,it proceeds OK. 
Comment 3 Jaroslav Pospisil 2009-04-22 12:22:13 UTC
Since there's known workaround and there's little hope we can fix this for Beta,I'm decreasing priority to P2. I must
suggest however,to add this to Beta Release notes.
Comment 4 Jaroslav Pospisil 2009-04-22 12:38:11 UTC
Text I suggest to add to Release Notes:
"When deploying Web Service in Maven Web Application, make sure that deployment server is selected. You can select it in
Project Properties/Run tab. Otherwise deployment will fail because of issue 163371."
Comment 5 Milan Kuchtiak 2009-04-24 08:21:50 UTC
Problem is in dependency scope: default.
Though, the dependency scope is changed to "provided", just after server is selected, the changes are not propagated to
build directory(war file).

I'll change the default dependency scope to provided. This will solve the GlassFish case. For Tomcat case:
- either print some warning message, e.g. "Build your project again in order to react on changes in pom file"
- or mention the issue in release notes only (for Tomcat server) 
Comment 6 Milan Kuchtiak 2009-04-24 12:48:15 UTC
Fixed.

- Metro1.4  dependency is added with "provided" scope (this fixes the GlassFish case)
- warning message is printed, asking user to rebuild the project, when server is changed (e.g. from GlassFish to Tomcat) 

Details:
http://hg.netbeans.org/main/rev/6a678a8bb97d
Comment 7 Quality Engineering 2009-04-25 07:31:56 UTC
Integrated into 'main-golden', will be available in build *200904250201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6a678a8bb97d
User: mkuchtiak@netbeans.org
Log: #163371: add Metro1.4 library dep. with PROVIDED scope, print warning when server is changed
Comment 8 Jaroslav Pospisil 2009-05-06 12:03:49 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo